killpgrp(8)

NAME
killpgrp - kill all processes in the same process group

SYNOPSIS
killpgrp

DESCRIPTION
Kills all processes in its process group when a process group leader is killed.

This program needs to be called by the client uid defined in amanda, and is used to kill VDUMP, VXDUMP, and XFSDUMP in a safe manner. It is called by sendsize, the amanda client software.

killpgrp send a SIGTERM to all processes in its process group. If a process in the group does not exit after three seconds and does not answer, killpgp will send a SIGKILL.

OPTIONS
killpgrp takes no arguments.

SECURITY
killpgrp needs to be setuid root unless amanda is compiled with DONT_SUID_ROOT.

SEE ALSO
amanda(8)

AUTHOR
Manpage written by Rodrigo Rubira Branco <rrbranco@br.ibm.com>